{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">


    <style>
        .navbar {
            padding: 0 1rem;
            box-shadow: 1px 2px 10px var(--shadowColor2);
            background-color: white !important;
        }

        .navbar a, .navbar i {
            color: black !important;
        }

        /*.back {*/
        /*   background-color: #000 !important;*/
        /*}*/

    </style>
{% endblock %}

{% block tittleNav %}
    Theresa Coopert
{% endblock %}

{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            {{ detail.getUser().getTentorProfile().getFullName() }}
        {% endblock %}
        {% block menuBar %}
        {% endblock %}
    {% endembed %}
    {# Profil guru #}
    <section class="r-bottom container-fluid text-center" style="padding-bottom: 10px">
        <img class="mt-5 mb-4 image-bunder"
             src="{{ detail.getUser().getTentorProfile().getGeneratedAvatar() != null ? detail.getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}"
             style="border: .5rem solid var(--primaryColor);">
        <div class="d-flex align-items-center justify-content-center">
            <p class="font-weight-bold f12 mr-2 mb-1">{{ detail.getUser().getTentorProfile().getFullName() }}</p>
            {% if(detail.getUser().getTentorProfile().getGrade().getName() == "PRO") %}
            <p class="bt-primary pt-1 pb-1 pl-2 pr-2 f08 mb-1">{{ detail.getUser().getTentorProfile().getGrade().getName() }}{% endif %}</p>
        </div>
        {% set rating = detail.getUser().getAvgRatings()|round(0, 'floor') %}
        {% set restRating = 5 - detail.getUser().getAvgRatings()|round(0, 'floor') %}
        {% set tempRate = detail.getUser().getAvgRatings() - rating %}
        <div class="star-div" style="color: orange">
            {% if detail.getUser().getAvgRatings() > 0 and detail.getUser().getAvgRatings() != null %}
                {% if detail.getUser().getAvgRatings() >= 1 %}
                    {% for i in 1..rating %}
                        <i class="fa fa-star"></i>
                    {% endfor %}
                {% endif %}
                {% if tempRate < 1 and tempRate > 0 %}
                    <i class="fa fa-star-half-o"></i>
                    {% if (5 - (rating+1)) > 0 %}
                        {% for i in 1..(5 - (rating+1)) %}
                            <i class="fa fa-star-o"></i>
                        {% endfor %}
                    {% endif %}
                {% else %}
                    {% if(5 - (rating)) > 0 %}
                        {% for i in 1..(5 - (rating)) %}
                            <i class="fa fa-star-o"></i>
                        {% endfor %}
                    {% endif %}
                {% endif %}
            {% else %}
                {% for i in 1..5 %}
                    <i class="fa fa-star-o"></i>
                {% endfor %}
            {% endif %}
        </div>
        <div>{{ detail.getCategory().getName() }}
            - {{ detail.getLevel().getName() }}
        </div>
    </section>

    {#    TENTANG#}
    <section class="container-fluid mt-3 pb-3">

        <nav style="border-bottom: 1px solid var(--grey-d); line-height: 0; top: 50px" class="bg-white">
            <div class="nav bg-white w-100 d-flex" id="nav-tab" role="tablist">
                <a class="nav-item nav-link active text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                   data-toggle="tab" href="#tentang" role="tab" aria-controls="tentang"
                   aria-selected="true">Tentang</a>
                <a class="nav-item nav-link  text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                   data-toggle="tab" href="#pengalaman" role="tab" aria-controls="pengalaman"
                   aria-selected="true">Pengalaman</a>
                <a class="nav-item nav-link  text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                   data-toggle="tab" href="#jadwal" role="tab" aria-controls="jadwal"
                   aria-selected="true">Jadwal</a>
            </div>
        </nav>

        <div class="tab-content" id="nav-tabContent">
            <div class="tab-pane fade show active" id="tentang" role="tabpanel"
                 aria-labelledby="tentang-tab">
                <section class="container-fluid">
                    <p class="f12 font-weight-bold mt-3">
                        Tentang {{ detail.getUser().getTentorProfile().getFullName() }}</p>
                    <p class="f10 mt-1">{{ detail.getUser().getTentorProfile().getAbout() }}</p>

                    <p class="f12 font-weight-bold mt-3">Keahlian Mengajar</p>
                    <div class="scrolling-wrapper">
                        {% for subject in detail.getUser().getTentorSubject() %}
                            <div class="icon-vert items">
                                <div class="icon-div" style="margin-bottom: 8px">
                                    <img src="{{ asset('images/common/campus/ugm.png') }}">
                                </div>
                                <p class="mb-0">{{ subject.getCategory().getName() }}</p>
                                <p class="pt-1">{{ subject.getLevel().getName() }}</p>
                            </div>
                        {% endfor %}
                    </div>

                    <p class="f12 font-weight-bold mt-3">Area Mengajar</p>
                    {% for district in detail.getuser().getDistrict() %}
                        <p class="f08 mt-1 mb-0">{{ district.getDistrictName() }}
                            , {{ district.getCity().getCityName() }}</p>
                    {% endfor %}

                    <p class="f12 font-weight-bold mt-3">Metode Mengajar</p>
                    {% for method in detail.getMethod() %}
                        <p class="f08 {{ loop.first ? 'mt-1' : '' }} mb-0">{{ method.getName() }}</p>
                    {% endfor %}

                </section>
            </div>

            <div class="tab-pane fade " id="pengalaman" role="tabpanel"
                 aria-labelledby="pengalaman-tab" style="margin-bottom: 150px;">
                <section class="container-fluid">
                    <p class="f12 font-weight-bold mt-3 mb-1">Pengalaman Mengajar</p>
                    <p class="font-weight-bold text-black-50">{{ detail.getUser().getTentorProfile().getAbout() }}</p>

                    <p class="f12 font-weight-bold mt-5 mb-1">Pendidikan Terahkir</p>
                    <p class="font-weight-bold text-black-50">{{ detail.getUser().getTentorProfile().getEducation() }}</p>

                    <p class="f12 font-weight-bold mt-5 mb-1">Prestasi dalam bidang pendidikan</p>
                    <p class="font-weight-bold text-black-50">{{ detail.getUser().getTentorProfile().getAchievement() }}</p>

                    <p class="f12 font-weight-bold mt-5 mb-1">Pekerjaan</p>
                    <p class="font-weight-bold text-black-50">{{ detail.getUser().getTentorProfile().getCompany() }}</p>
                </section>
            </div>

            <div class="tab-pane fade " id="jadwal" role="tabpanel"
                 aria-labelledby="jadwal-tab" style="margin-bottom: 150px;">
                <div class="mt-1 text-left w-100 text-center mt-3"
                     style="border-bottom: 1px solid var(--grey-d); line-height: 0">
                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-1"
                           value="1" checked/>
                    <label class="for-checkbox-tab " style="padding: 1em 3vw;" for="day-1">
                        <p class="mb-0 font-weight-bold p-0 f06">Sen</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-2"
                           value="2"/>
                    <label class="for-checkbox-tab " style="padding: 1em 3vw; margin-right: 2px; margin-left: 2px"
                           for="day-2">
                        <p class="mb-0 font-weight-bold p-0 f06">Sel</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-3"
                           value="3"/>
                    <label class="for-checkbox-tab " style="padding: 1em 2.5vw;  margin-right: 2px; margin-left: 2px"
                           for="day-3">
                        <p class="mb-0 font-weight-bold p-0 f06">rab</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-4"
                           value="4"/>
                    <label class="for-checkbox-tab " style="padding: 1em 2.5vw;  margin-right: 2px; margin-left: 2px"
                           for="day-4">
                        <p class="mb-0 font-weight-bold p-0 f06">Kam</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-5"
                           value="5"/>
                    <label class="for-checkbox-tab " style="padding: 1em 2.5vw;  margin-right: 2px; margin-left: 2px"
                           for="day-5">
                        <p class="mb-0 font-weight-bold p-0 f06">Jum</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-6"
                           value="6"/>
                    <label class="for-checkbox-tab " style="padding: 1em 2.5vw;  margin-right: 2px; margin-left: 2px"
                           for="day-6">
                        <p class="mb-0 font-weight-bold p-0 f06">Sab</p>
                    </label>

                    <input class="checkbox-jam day-choice" type="radio" name="day" id="day-0"
                           value="0"/>
                    <label class="for-checkbox-tab " style="padding: 1em 2.5vw;  margin-right: 2px; margin-left: 2px"
                           for="day-0">
                        <p class="mb-0 font-weight-bold p-0 f06">Min</p>
                    </label>
                </div>
                <div class="text-center mt-3" id="panel-schedule">
                    <input class="checkbox-jam" type="radio" name="tools" id="min"
                           value="min"/>
                    <label class="for-checkbox-tab "
                           for="min">
                        <p class="mb-0 font-weight-bold p-0 f06">09.00</p>
                    </label>

                    <input class="checkbox-jam" type="radio" name="tools" id="min"
                           value="min"/>
                    <label class="for-checkbox-tab "
                           for="min">
                        <p class="mb-0 font-weight-bold p-0 f06">09.00</p>
                    </label>

                    <input class="checkbox-jam" type="radio" name="tools" id="min"
                           value="min"/>
                    <label class="for-checkbox-tab "
                           for="min">
                        <p class="mb-0 font-weight-bold p-0 f06">09.00</p>
                    </label>

                    <input class="checkbox-jam" type="radio" name="tools" id="min"
                           value="min"/>
                    <label class="for-checkbox-tab "
                           for="min">
                        <p class="mb-0 font-weight-bold p-0 f06">09.00</p>
                    </label>

                    <input class="checkbox-jam" type="radio" name="tools" id="min"
                           value="min"/>
                    <label class="for-checkbox-tab "
                           for="min">
                        <p class="mb-0 font-weight-bold p-0 f06">09.00</p>
                    </label>
                </div>
            </div>
        </div>


    </section>

    <section style="height: 1em; background-color: #F5FAFF; -moz-box-shadow:    inset 0 0 10px #000000;
   -webkit-box-shadow: inset 0 5px 10px #ddd;
   box-shadow:         inset 5px 1px 10px #ddd;"></section>
    <section class="container-fluid">
        <p class="f12 font-weight-bold mt-3">Ulasan Paling Membantu</p>

        <div id="review-box" style="margin-bottom: 150px;">
            <div class="header-profile">
                <div class="gambar-div shine-bunder" style="height: 6em">

                </div>

                <div class="content">
                    <p class="title shine-rounded-sm" style="height: 1em"></p>
                    <div class="star-div shine-rounded-sm" style="height: 1em">
                    </div>
                </div>
            </div>

            <p class="f10 shine-rounded-sm w-100" style="height: 7em;">
            </p>
        </div>
    </section>

    <section class="fixed-bottom p-2 bg-white">
        <div class="d-flex justify-content-between align-items-end">
            <div class="d-flex flex-column">
                <p class="mb-0 f08"> Tarif {{ detail.getCategory().getName() }}
                    - {{ detail.getLevel().getName() }} {{ method.getName() }}</p>

                <p class="f12 t-primary mb-0">

                    Rp {{ price|number_format(0,',','.') }}</p>
                <p class="mb-0 f08"> Per {{ method.getId() == 1 ? '60' : '30' }} Menit</p>
            </div>
            <a id="btn-order" class="bt-accent p-3 f08" data-toggle="modal" data-target="#exampleModalCenter">
                Berlangganan Sekarang
            </a>
        </div>
    </section>

{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script>
        {#var d_id = '{{ district != null ? district.getId() : 'undefined' }}';#}
        var u_id = '{{ detail.getUser().getId() }}';
    </script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/controller/DetailTentor.js') }}"></script>
{% endblock %}